Subject: [hackathon] COSE in the network: Secure Wake-on-Radio (SWORN)

From: Carsten Bormann <[email-masked]>
Date: Wed, 5 Jul 2017 16:13:17 +0200

At the IETF99 Hackathon, we plan to do some work on using COSE in the network.  See below.

Grüße, Carsten

# COSE in the network: Secure Wake-on-Radio (SWORN)

## Champions

* Olaf Bergmann
* Benjamin Piepiora

## Background

COSE is the CBOR object signing and encryption specification, RFC 8152-to-be.

COSE is mostly thought as a component for application protocols, but
it can be used in the network as well.

Wake-on-Radio can save a lot of power for battery-operated devices by
having them wake up and consume power only when there is actually
something to do.  But Wake-on-Radio provides a too easy DoS vector for
a battery depletion attack.  Secure Wake-on-Radio Nudging (SWORN)
enables a last-hop router to find out if the correspondent node was
authorized to wake up the device with a packet.

## Project

* Implement SWORN in an actual IoT scenario with Wake-on-Radio
* Demonstrate the power savings achievable
* Demonstrate the workflow for getting a correspondent node authorized
* Cooperate with other COSE connoisseurs and IoT power savers

* Specification: <https://tools.ietf.org/html/draft-bormann-t2trg-sworn>

---

From: Olaf Bergmann <[email-masked]>
Date: Sat, 15 Jul 2017 08:40:16 +0200

Hi all,

> # COSE in the network: Secure Wake-on-Radio (SWORN)

I have uploaded a small slide set that shows what we are trying to do at:

https://libcoap.net/files/ietf99-hackathon/hackathon-sworn.pdf

Grüße
Olaf